#ifndef _RZB_NUG_MANAGE_H
#define _RZB_NUG_MANAGE_H

#include <uuid/uuid.h>
#include <netinet/in.h>
#include "rzb_global.h"

#define TABLESIZE 211

typedef struct _NUGGETENTRY
{
    unsigned nuggetid;
    struct in_addr nugaddr;
    unsigned short nugport;
    uuid_t nugtype;
    uuid_t nugapp;
    uuid_t datatype;
    char name[256];
    unsigned freeinstances;
    struct _NUGGETENTRY *nextbytype;
    struct _NUGGETENTRY *nextbydata;
} NUGGETENTRY;

/* Functions for adding nuggets */
HRESULT addNuggetEntry(NUGGETENTRY *entry);

HRESULT addDataTrack(NUGGETENTRY *entry);
HRESULT deleteNuggetEntry(unsigned nugid);

void printTypeTable(void);
void printDataTable(void);

HRESULT findByID(NUGGETENTRY **entry, unsigned nugid, uuid_t type);

#endif /* _RZB_NUG_MANAGE_H */

