#include "config.h"
#include "simple.h"
#include "rzb_global.h"
#include "rzb_conf.h"
#include "rzb_client.h"
#include "rzb_network.h"

UUID_DEFINE(SIMPLEDETECT, 0x31, 0xd7, 0x51, 0xb9, 0xa7, 0x9a, 0x01, 0xeb, 0x1b, 0x69, 0x8c, 0x68, 0x1b, 0xde, 0x59, 0x3d);

static void printMetaData(BLOCK_META_DATA *metaData)
{
    printf("Event id: %u\n", metaData->eventid);
    printf("Size: %u\n", metaData->size);
    printf("File:\n\n%.*s\n", (int)metaData->size, (char *)metaData->data);
}

SO_PUBLIC HRESULT initNug(DetectionAPI *detectionObj)
{
    uuid_t list;
    handler_fp fp;

    uuid_copy(list, PDF_FILE);
    fp = &printMetaData;
    printf("printMetaData is at 0x%p\n", *(void **)&fp);
    detectionObj->registerHandler(&printMetaData, (const uuid_t *)&list, 1, SIMPLEDETECT);

    return(R_SUCCESS);
}
